[Patches] [ python-Patches-1227966 ] solaris 10 should not define _XOPEN_SOURCE_EXTENDED

SourceForge.net noreply at sourceforge.net
Sat Nov 26 12:39:38 CET 2005


Patches item #1227966, was opened at 2005-06-27 02:32
Message generated for change (Comment added) made by loewis
You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=305470&aid=1227966&group_id=5470

Please note that this message will contain a full copy of the comment thread,
including the initial issue submission, for this request,
not just the latest update.
Category: Build
Group: Python 2.4
>Status: Closed
>Resolution: Accepted
Priority: 5
Submitted By: Bill Clarke (slashlib)
Assigned to: Nobody/Anonymous (nobody)
Summary: solaris 10 should not define _XOPEN_SOURCE_EXTENDED

Initial Comment:
on Solaris 10, defining _XOPEN_SOURCE_EXTENDED implies
a maximum _XPG specification of _XPG4v2.  what we want
is _XPG5.

note: see also bug 1116722
<https://sourceforge.net/tracker/?func=detail&atid=305470&aid=1116722&group_id=5470>,
_XOPEN_SOURCE must be 500 for Solaris 10.

the effect of this bug is that we cannot build python
modules with g++.  e.g., with this file:
"""
#include "Python.h"
#include <cwchar>
""""
you get errors like this:
"""
$ g++ -m64 -I/usr/local/64/include/python2.4 -c test.cc
In file included from
/usr/local/64/include/python2.4/Python.h:8,
                 from test.cc:1:
/usr/local/64/include/python2.4/pyconfig.h:844:1:
warning: "_XOPEN_SOURCE" redefined
:84:1: warning: this is the location of the previous
definition
In file included from test.cc:2:
[...]../include/c++/3.4.4/cwchar:145: error: `::btowc'
has not been declared
[...]../include/c++/3.4.4/cwchar:150: error: `::fwide'
has not been declared
...
"""

a patch for configure.in (against 2.4.1) is attached to
fix this.


----------------------------------------------------------------------

>Comment By: Martin v. Löwis (loewis)
Date: 2005-11-26 12:39

Message:
Logged In: YES 
user_id=21627

Thanks for the patch. Committed as 41545 and 41546.

It complained to me that XPG6 requires a C99 compile, hence
I limited _XOPEN_SOURCE to 500 as well.

----------------------------------------------------------------------

You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=305470&aid=1227966&group_id=5470


More information about the Patches mailing list